diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
index 0895c0415..faf9d6636 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
@@ -222,6 +222,11 @@ define('pgadmin.node.row_security_policy', [
         var treeData = this.getTreeNodeHierarchy(item),
           server = treeData['server'];
 
+        // If node is under catalog then do not allow 'create' menu
+        if (treeData['catalog'] != undefined)
+          return false;
+
+        // If server is less than 9.5 then do not allow 'create' menu
         if (server && server.version < 90500)
           return false;
 
